OpenVDB 7.0.0

Public Types | Public Member Functions | List of all members
CopyToDense< _TreeT, _DenseT > Class Template Reference

Copy an OpenVDB tree into an existing dense grid. More...

`#include <Dense.h>`

## Public Types
using | DenseT = _DenseT
using | TreeT = _TreeT
using | ValueT = typename TreeT::ValueType

## Public Member Functions
| CopyToDense (const TreeT &tree, DenseT &dense)
void | copy (bool serial=false) const
void | operator() (const CoordBBox &bbox) const
| Public method called by tbb::parallel_for. More...

## Detailed Description

### template<typename _TreeT, typename _DenseT = Dense<typename _TreeT::ValueType>>
class openvdb::v7_0::tools::CopyToDense< _TreeT, _DenseT >

Copy an OpenVDB tree into an existing dense grid.

Note
  Only voxels that intersect the dense grid's bounding box are copied from the OpenVDB tree. But both active and inactive voxels are copied, so all existing values in the dense grid are overwritten, regardless of the OpenVDB tree's topology.

## Member Typedef Documentation

## ◆ DenseT

using DenseT = _DenseT

## ◆ TreeT

using TreeT = _TreeT

## ◆ ValueT

using ValueT = typename TreeT::ValueType

## Constructor & Destructor Documentation

## ◆ CopyToDense()

CopyToDense | ( | const TreeT & | tree,
|  | DenseT & | dense
| ) |  |
| inline

## Member Function Documentation

## ◆ copy()

void copy | ( | bool | serial = `false` | ) | const
| inline

## ◆ operator()()

void operator() | ( | const CoordBBox & | bbox | ) | const
| inline

Public method called by tbb::parallel_for.

The documentation for this class was generated from the following file:

- Dense.h